Glitch While Upgrading to Grails 1.0.1 -> 1.0.3 and Groovy 1.5.4 -> 1.5.6

Hi,

I just upgraded to the newly released Grails 1.0.3 and the recently released 1.5.6.

After performing the installations and upgrading my Grails application from the command line (while IDEA was not running) using the typical


... I launched IDEA. During start-up, it presented a dialog saying it had detected that I'd upgraded the Grails app from 1.0.1 to 1.0.3 and asked me if I wanted it to upgrade as well (I forget the precise wording of the dialog, but remember that it displayed the silver chalice on blue circle logo). I said yes, but was presented shortly with this:



What precisely does this mean and is there now a problem of some sort with how JetGroovy sees or models my Grails application?

I subsequently opened the IDEA settings dialog and changed the JetGroovy plug-in from the old Grails 1.0.1 to 1.0.3 and the old Groovy 1.5.4 to 1.5.6. After this, the usual re-indexing occurred.

No other overt errors seem to have occurred.


Randall Schulz


P.S.: Versions:
IDEA: 7.0.3 (#7757)
JetGroovy: 1.5.16466
JVM: Sun 1.6.0_04
OS: SuSE Linux 10.0
H/W: Intel x86

Added s/w and h/w version information on Jun 6, 2008 10:20 AM

Please sign in to leave a comment.